package com.example.prapro2spring.controller;

import com.example.prapro2spring.model.HumanLogs;
import com.example.prapro2spring.service.HumanLogsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/humanlogs")
public class HumanLogsController {

    @Autowired
    private HumanLogsService HumanLogsService;


    @GetMapping("/")
    public List<HumanLogs> getAllPeopleValues() {
        return HumanLogsService.findAll();
    }

    @GetMapping("/{id}")
    public HumanLogs HumanLogsService(@PathVariable Integer id){
        return HumanLogsService.findById(id);
    }
}