package com.example.prapro2spring.repository;

import com.example.prapro2spring.dto.PersonValue;
import com.example.prapro2spring.dto.PersonDTO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface PersonValueRepository extends CrudRepository<PersonDTO, Integer> {
    @Query(value = "SELECT people_scoreboard.get_human_value(?1)", nativeQuery = true)
    Integer queryPersonValuesById(Integer id);

    @Query(value = "SELECT * FROM people_scoreboard.get_all_people_values(?1, 3)", nativeQuery = true)
    List<Object[]> queryAllPersonValues(Integer startIndex);
}
